<?php 
  
// Plugin Page
$vwpl_options= '';

$vwpl_options = get_option('vwpl_options');

function vwpl_get_preloader_data(){

  // Globle Variable
  global $vwpl_options;

   // Display Option
  if($vwpl_options['vwpl_display_option_radio'] == ''){
    $vwpl_display_option_radio = '';
  }
  else{
    $vwpl_display_option_radio = $vwpl_options['vwpl_display_option_radio'];
  }

 // 
  if($vwpl_options['vwpl_background_image'] == ''){
    $vwpl_background_image = '';
  }
  else{
    $vwpl_background_image = $vwpl_options['vwpl_background_image'];
  }

}
add_action( 'admin_init', 'vwpl_get_preloader_data' );

/**
* For Register Custom Menu page in dashboard 
*/
add_action( 'admin_menu', 'vwpl_register_custom_menu_page' );

  function vwpl_register_custom_menu_page() {

    add_menu_page('VW Preloader', 'VW Preloader', 'add_users', 'vw-preloader', 'vwpl_about_render', null, 6);

    add_action( 'admin_init', 'vwpl_register_settings' );
}

//call register settings function
function vwpl_register_settings() {

  register_setting('vwpl-plugin-option', 'vwpl_options', 'vwpl_validate_options');
}

function vwpl_about_render(){

  global $title;   global $vwpl_options;?>

    <div id="vwpl_dashboard">

        <div class="vwpl_title">
            <h1>
                <img src="<?php echo esc_attr( VWPL_DIR_URL . 'assets/images/logo.png'); ?>"><?php echo esc_html($title); ?>
                <span class="vwpl-version"><?php echo esc_html('Version ', 'vw-preloader'); ?><?php echo esc_attr( VWPL_VERSION  ) ?></span>
            </h1>
        </div>

        <div class="col-md-8 vwpl-dash">

          <form method="post" action="options.php">
              <?php settings_fields( 'vwpl-plugin-option' ); ?>

              <div class="sub_box">

                  <h2><?php echo esc_html('Enable', 'vw-preloader'); ?></h2>
                  <div class="enable_data">
                      <label for="vwpl_admin_check_enable"><?php echo esc_html('Show / hide'); ?></label>
                      <input type="checkbox" id="vwpl_admin_check_enable" name="vwpl_options[vwpl_admin_check_enable]" value="1" <?php if (isset($vwpl_options['vwpl_admin_check_enable'])) { checked(1, $vwpl_options['vwpl_admin_check_enable']); } ?> /> 
                  </div>  

              </div>

              <div class="sub_box">

                  <h2><?php echo esc_html('Preloader Gallery', 'vw-preloader'); ?></h2>
                  <div class="in_clear">
                      <?php 
                          $preloader_img = apply_filters( 'vwpl_styles', array(
                          array(
                            'key_name'   => 'vw-preloader',
                            'title_name' => 'VW Preloader',
                          )));

                          $style   = $vwpl_options['vwpl_icon_seleted']; 
                        ?>

                      <div class="vwpl-wrapper">

                          <?php foreach ( $preloader_img as $preloader ) { ?>
                              <div class="wp-preloading-section">
                                  <ul>
                                    <?php $icon_dir_path = VWPL_PLUGIN_PATH . 'assets/images/' . $preloader['key_name']; ?>
                                    <?php $icon_dir_url = VWPL_DIR_URL . 'assets/images/' . $preloader['key_name']; ?>
                                    <?php foreach ( glob( $icon_dir_path . '/*.gif' ) as $file ) { ?>
                                      <?php
                                      $icon_name  = str_replace( $icon_dir_path . '/', '', $file );
                                      $icon_id    = sanitize_title( $icon_name );
                                      $icon_url   = $icon_dir_url . '/' . $icon_name;
                                      $icon_value = $preloader['key_name'] . '/' . $icon_name;

                                      ?>
                                          <li class="vwpl-item">
                                              <label for="<?php echo $icon_id; ?>">
                                                  <img src="<?php echo $icon_url; ?>" alt="<?php echo $icon_id ?>"/>
                                              </label>
                                              <input id="<?php echo $icon_id; ?>" type="radio" name="vwpl_options[vwpl_icon_seleted]" value="<?php echo $icon_value; ?>" <?php checked( $style, $icon_value ); ?> >
                                          </li>
                                    <?php } ?>
                                  </ul>
                              </div>
                          <?php } ?>
                      </div>
                  </div>
              </div>

              <div class="sub_box">

                  <h2><?php echo esc_html('Background Settings', 'vw-preloader'); ?></h2>
                    
                  <div class="in_clear">
                      <div class="col-md-4">
                          <h4><?php echo esc_html('Background Color', 'vw-preloader'); ?></h4>
                      </div>
                      <div class="bg_input">
                          <input class="color-field" type="text" name="vwpl_options[vwpl_background_color]" value="<?php echo $vwpl_options['vwpl_background_color']; ?>" />
                      </div>
                  </div>

              </div>

              <div class="sub_box">
                  
                  <h2><?php echo esc_html('Display Preloader', 'vw-preloader'); ?></h2>

                  <div class="display_option">

                      <span class="page_option">

                          <input type="radio" id="home-page" name="vwpl_options[vwpl_display_option_radio]" value="home-page" <?php checked( 'home-page' == $vwpl_options['vwpl_display_option_radio'] ); ?>  />
                          <label for="home-page"><?php echo esc_html('Home Page','vw-preloader'); ?></label> 

                      </span>

                      <span class="page_option">

                          <input type="radio" id="every-page" name="vwpl_options[vwpl_display_option_radio]" value="every-page" <?php checked( 'every-page' == $vwpl_options['vwpl_display_option_radio'] ); ?>  />
                          <label for="every-page"><?php echo esc_html('Every Page','vw-preloader'); ?></label> 

                      </span>

                  </div>
              </div>

            <?php submit_button(); ?>

          </form>
        </div>

        <div class="col-md-4 rate_us_box">

            <h2><?php echo esc_html('Rate us on wordpress.org', 'vw-preloader'); ?></h2>

            <p class="thank_msg"><?php echo esc_html('If you enjoy the plugin please rate us', 'vw-preloader'); ?></p>

            <div class="star_dash">

              <?php for($i = 0; $i<5; $i++ ){ ?>
                <img src="<?php echo esc_attr( VWPL_DIR_URL . 'assets/images/star.png'); ?>">
              <?php } ?>

            </div>

            <p class="thank_btn"><a href="https://www.vwthemes.com/topic/reviews-and-testimonials/" target="_blank"><?php echo esc_html('Click Here', 'vw-preloader'); ?></a></p>

            <p><?php echo esc_html('If you face obstacle, do write at plugins support forum ', 'vw-preloader'); ?><a href="https://www.vwthemes.com/support/" target="_blank"><?php echo esc_html('click here', 'vw-preloader'); ?></a>
            </p>
        </div>

    </div>
    <?php 
}

/*
* Validate the option field
*/
function vwpl_validate_options($input) {

    // Enable/Disable
    if (!isset($input['vwpl_admin_check_enable'])) $input['vwpl_admin_check_enable'] = null;
        $input['vwpl_admin_check_enable'] = ($input['vwpl_admin_check_enable'] == 1 ? 1 : 0);

    // Display Option
    if(isset($_POST['vwpl_display_option_radio']))
    {
       echo "You have selected :".$_POST['vwpl_display_option_radio'];  //  Displaying Selected Value
    }

    // Icon Seleted
    if (!isset($input['vwpl_icon_seleted'])){
      $input['vwpl_icon_seleted']     = null;
    } 
    else{
      $input['vwpl_icon_seleted']     = esc_attr($input['vwpl_icon_seleted']);
    }

    // Display Option
    if (!isset($input['vwpl_display_option_radio'])){
      $input['vwpl_display_option_radio']     = null;
    } 
    else{
      $input['vwpl_display_option_radio']     = esc_attr($input['vwpl_display_option_radio']);
    }

    // Background Color
    if (!isset($input['vwpl_background_color'])){
      $input['vwpl_background_color']     = null;
    } 
    else{
      $input['vwpl_background_color']     = esc_attr($input['vwpl_background_color']);
    }

    // Background  Image
    if (!isset($input['vwpl_background_image'])){
      $input['vwpl_background_image']     = null;
    } 
    else{
      $input['vwpl_background_image']     = esc_attr($input['vwpl_background_image']);
    }

    return $input;
}
